Package org.gradle.vcs.git

## Interface GitVersionControlSpec

- All Superinterfaces:
    `Describable`, `VersionControlSpec`

      public interface GitVersionControlSpec
      extends VersionControlSpec

  A specification of a Git repository.
  Since:
    4.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URI` | `getUrl()` | The URL for the repository in the specification.
    `void` | `setUrl​(String url)` | Sets the URL of the repository.
    `void` | `setUrl​(URI url)` | Sets the URL of the repository.

    - ### Methods inherited from interface org.gradle.api.Describable

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.vcs.VersionControlSpec

      `getRepoName, getRootDir, getUniqueId, plugins, setRootDir`

- - ### Method Detail

    - #### getUrl

          URI getUrl()

      The URL for the repository in the specification.

      Note: The return value is a `URI` to avoid exposing the full contract of `URL` clients of this interface. Specifically, `URL` extends `URI` to add network operations which are both unsuited for simple data specification and allocate additional memory.

    - #### setUrl

          void setUrl​(URI url)

      Sets the URL of the repository.

    - #### setUrl

          void setUrl​(String url)

      Sets the URL of the repository.